Module javafx.base
Package javafx.beans.property

# Class ReadOnlyBooleanPropertyBase

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.ReadOnlyBooleanPropertyBase

All Implemented Interfaces:
  `Observable`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`

Direct Known Subclasses:
  `ReadOnlyJavaBeanBooleanProperty`

    public abstract class ReadOnlyBooleanPropertyBase
    extends ReadOnlyBooleanProperty

Base class for all readonly properties wrapping a `boolean`. This class provides a default implementation to attach listener.

Since:
  JavaFX 2.0
See Also:
  `ReadOnlyBooleanProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyBooleanPropertyBase()` | Creates a default `ReadOnlyBooleanPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.

  ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

  `asObject, readOnlyBooleanProperty, toString`

  ### Methods declared in class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyBooleanPropertyBase

    public ReadOnlyBooleanPropertyBase()
    Creates a default `ReadOnlyBooleanPropertyBase`.

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method needs to be called, if the value of this property changes.